#!/usr/bin/env python
# Copyright (C) 2005 shinGETsu Project.
#
# $Id: setup-win.py,v 1.1 2005/12/10 03:19:11 fuktommy Exp $
#

import os
import re
import sys
from shutil import copy
from distutils.core import setup
import py2exe

import shingetsu.config

def make_version():
    found = re.search(r"\(.*/(.+)\)", shingetsu.config.version)
    if found:
        version = found.group(1)
    else:
        version = shingetsu.config.version
    return version

def make_data_files():
    data_files = [("", ("README.txt", "README.ja.txt"))]
    data_files.append(("file", ("python-license.txt",)))
    for dd in ("file", "www"):
        for r, d, f in os.walk(dd):
            if r.endswith("CVS"):
                continue
            data = []
            for i in f:
                if i.endswith(".cgi"):
                    continue
                i = os.path.join(r, i)
                data.append(i)
            data_files.append((dd, data))
    return data_files

def make_readme():
    for r in ["README", "README.ja"]:
        buf = file(r).read()
        buf = unicode(buf, "euc-jp").encode("shift-jis")
        file(r+".txt", "w").write(buf)

def copy_license():
    src = os.path.join(sys.exec_prefix, "LICENSE.txt")
    dst = "python-license.txt"
    copy(src, dst)

make_readme()
copy_license()
version = make_version()
data_files = make_data_files()

setup(name = "saku",
      version = version,
      description = "a clone of P2P anonymous BBS shinGETsu",
      author = "Fuktommy",
      maintainer = "Fuktommy",
      maintainer_email = "fuktommy@users.sourceforge.net",
      url = "http://shingetsu.info/",
      windows = [
        {"script" : "tksaku.pyw",
         "icon_resources": [(1, "www/favicon.ico")]}],
      packages = ["shingetsu"],
      data_files = data_files)
